package application;


import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class Main extends Application {

	@Override
public void start(Stage primaryStage) {
		
		Model model = new Model();
		
		try {
			
			FXMLLoader loader = new FXMLLoader(getClass().getResource("rubrica.fxml"));
			Parent view = (Parent)loader.load() ;
			
			RubrController controller = loader.getController();
			controller.setModel(model);
			Scene scene = new Scene(view);
			primaryStage.setScene(scene);
			primaryStage.show();
			
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
